跳轉到主要內容
GET
/
api
/
v1
/
agents
/
{id}
Get Agent
curl --request GET \
  --url https://api.agentwallex.com/api/v1/agents/{id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "<string>",
  "agent_name": "<string>",
  "agent_description": "<string>",
  "wallet": {
    "address": "<string>",
    "chain": "<string>"
  },
  "status": "active",
  "metadata": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}
擷取單一代理的完整詳情,包含錢包地址、狀態、中繼資料和建立時間戳記。

路徑參數

id
string
必填
唯一代理識別碼(例如 agent_abc123)。

回應

範例

curl -X GET https://api.agentwallex.com/api/v1/agents/agent_abc123 \
  -H "X-API-Key: awx_your_api_key"
Response
{
  "id": "agent_abc123",
  "agent_name": "research-bot",
  "agent_description": "Market research automation agent",
  "wallet": {
    "address": "0x1234567890abcdef1234567890abcdef12345678",
    "chain": "eip155:84532"
  },
  "status": "active",
  "metadata": "{\"team\":\"growth\"}",
  "created_at": "2025-06-01T10:00:00Z"
}

授權

X-API-Key
string
header
必填

API key authentication. Keys are prefixed with awx_.

路徑參數

id
string
必填

The unique agent identifier (e.g., agent_abc123).

回應

Agent details.

An AI agent with an MPC-secured wallet.

id
string

Unique agent identifier (e.g., agent_abc123).

agent_name
string

Agent display name.

agent_description
string

Agent description.

wallet
object

An on-chain wallet associated with an agent.

status
enum<string>

Agent status.

可用選項:
active,
inactive
metadata
string

JSON-encoded metadata string.

created_at
string<date-time>

ISO 8601 creation timestamp.